Bug 119007 - Crash when paste table from web
Summary: Crash when paste table from web
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: x86-64 (AMD64) Linux (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Paste
  Show dependency treegraph
 
Reported: 2018-07-30 20:09 UTC by raal
Modified: 2018-08-05 17:51 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2018-07-30 20:09:06 UTC
Description:
Crash when paste table from web

Steps to Reproduce:
Steps to reproduce
open https://www.eurotrialog.cz/program/  (mozilla Firefox)
select table (from Pátek 24.8.18 to https://www.facebook.com/SOUVRATband/)
copy 
open Calc
Paste
confirm import dialog



Actual Results:
Crash

Expected Results:
data pasted to Calc


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 raal 2018-07-30 20:10:34 UTC
This seems to have begun at the below commit.
Adding Cc: to Noel Grandin ; Could you possibly take a look at this one?
Thanks

bc832fc41b5a17a2702f64d49af0a01ea92bbde3 is the first bad commit
commit bc832fc41b5a17a2702f64d49af0a01ea92bbde3
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Thu Jul 12 11:26:51 2018 +0200

    source sha:510033783a9921eef507d424fc5adf6e2696bc4a

author	Noel Grandin <noel.grandin@collabora.co.uk>	2018-07-11 12:46:41 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2018-07-12 11:02:30 +0200
commit	510033783a9921eef507d424fc5adf6e2696bc4a (patch)
tree	d62968c55673cf7a58f56f0700eee7a9e3ebd44b
parent	cdd373e593557984dcd90c94bbb9b053655c1b83 (diff)
loplugin:useuniqueptr in ScHTMLLayoutParser
bitfields and make_unique don't play nice together, so bFirstRow
had to become a regular bool field
Comment 2 Xisco Faulí 2018-07-30 21:23:24 UTC
Reproduced in

Version: 6.2.0.0.alpha0+
Build ID: 72b099d279e7096d41a04fe8c0dd493a5fc18a33
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded
Comment 3 Commit Notification 2018-08-03 08:14:52 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=071d14324c2c5c85ed8fe7a0e8bb2ae77d1538f9

tdf#119007 Crash when paste table from web

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 raal 2018-08-05 17:51:10 UTC
Verified in Version: 6.2.0.0.alpha0+
Build ID: 4f50129e54c8b4a78e35dc869fd1f5fbc5aa9a87
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-08-04_22:32:09

Thanks for fix!